require 'spec_helper'

describe Paypal::Masspay::Error do
  let(:code)          { double }
  let(:short_message) { double }
  let(:long_message)  { double }
  let(:severity)      { double }
  let(:arguments)     { { :code => code, :short_message => short_message, :long_message => long_message, :severity => severity } }
  subject(:error)     { Paypal::Masspay::Error.new(arguments) }

  describe '#code' do
    it 'returns the error code' do
      expect(error.code).to eq(code)
    end
  end

  describe '#short_message' do
    it 'returns the error short_message' do
      expect(error.short_message).to eq(short_message)
    end
  end

  describe '#long_message' do
    it 'returns the error long_message' do
      expect(error.long_message).to eq(long_message)
    end
  end

  describe '#severity' do
    it 'returns the error severity' do
      expect(error.severity).to eq(severity)
    end
  end
end
