require 'spec_helper'

describe Paypal::Masspay::Recipient do
  let(:recipient_email) { double }
  let(:amount)          { double }
  let(:note)            { double }
  let(:unique_id)       { double }
  let(:arguments)       { { :recipient_email => recipient_email, :amount => amount, :note => note, :unique_id => unique_id } }
  subject(:recipient)   { Paypal::Masspay::Recipient.new(arguments) }

  before do
    allow(Paypal::Masspay::LengthValidator).to receive(:validate).with(recipient_email, 127, :recipient_email).and_return(recipient_email)
    allow(Paypal::Masspay::LengthValidator).to receive(:validate).with(note, 4000, :note).and_return(note)
    allow(Paypal::Masspay::LengthValidator).to receive(:validate).with(unique_id, 30, :unique_id).and_return(unique_id)
  end

  describe '#get_params' do
    it 'returns the arguments in the correct format' do
      expect(recipient.get_params(5)).to eq({
        "L_EMAIL5"    => recipient_email,
        "L_AMT5"      => amount,
        "L_NOTE5"     => note,
        "L_UNIQUEID5" => unique_id
      })
    end
  end
end
